# HKPOLYU 2023 PolYneer Wiki

This repository **MUST** contain all coding assets to generate your team's wiki (HTML, CSS, JavaScript, TypeScript, Python, etc).

Images, photos, icons and fonts **MUST** be stored on `static.igem.wiki` using [uploads.igem.org](https://uploads.igem.org), and Videos **must** be embedded from [iGEM Video Universe](https://video.igem.org).

For up-to-date requirements, resources, help and guidance, visit [competition.igem.org/deliverables/team-wiki](https://competition.igem.org/deliverables/team-wiki).

## Getting started

Page content is stored in the `pages` folder, or you can add pages by creating a new `.vue` file.


### Files

├─.nuxt/
├─assets/
├─components/
│  └─*.vue
├─layouts/
│  └─default.vue
├─node_modules/
├─pages/
│  └─*.vue
├─plugins
│  └─*.js
├─public/
├─server
├─.gitignore
├─LICENSE
├─nuxt.config.ts
├─package.json
├─tailwind.config.js
└─tsconfig.json

### Technologies

  * [GitLab Pages](https://docs.gitlab.com/ee/user/project/pages/)
  * [Nuxt.js](https://nuxt.com/)
  * [Tailwind CSS](https://tailwindcss.com/)
  * [ECharts](https://echarts.apache.org/en/index.html)

  
## Setup

Make sure to install the dependencies:

```bash
# npm
npm install

# pnpm
pnpm install

# yarn
yarn install
```

## Development Server

Start the development server on `http://localhost:8080`:

```bash
# npm
npm run dev

# pnpm
pnpm run dev

# yarn
yarn dev
```

## Production & Test

Build the application for production and test:

```bash
# npm
npm run test

# pnpm
pnpm run test

# yarn
yarn test
```